Prepare code to GTK+ 3.0

Bug #711741 reported by Rogério Ferro on 2011-02-02
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnome-paint
Critical
gnome-paint Developers

Bug Description

gnome-paint use GDK drawing API that was removed from GTK+ 3. It is need to migrate to cairo API.
GTK Documentation: http://library.gnome.org/devel/gtk/unstable/gtk-migrating-2-to-3.html#id1400895

Tags: 1.0 Edit Tag help
Changed in gnome-paint:
importance: Undecided → Critical
assignee: nobody → Rogério Ferro (rogerioferro)
status: New → In Progress
Changed in gnome-paint:
assignee: Rogério Ferro (rogerioferro) → Developers (developers)
assignee: Developers (developers) → Developers (gnome-paint-developers)
tags: added: 1.0
Rogério Ferro (rogerioferro) wrote :

Keep backward compatibility with GTK+ 2.0.

Dmitry Golovin (cyb3r) wrote :

This requires the code to be rewritten completely. I suggest leaving this project as it is and starting a new one in Vala with GTK+ 3.0, so that it will nicely fit in GNOME environment.

Dominik (dominikdanelski) wrote :

Without manpower I have to postpone it for now.

Changed in gnome-paint:
status: In Progress → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers